Bug 64123 - NFS / TCP mounted filesystems perform REALLY bad with eepro100 driver.
NFS / TCP mounted filesystems perform REALLY bad with eepro100 driver.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 20:25 EDT by Mike Cooling
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-26 11:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Cooling 2002-04-25 20:25:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Win98; U)

Description of problem:
In trying to debug problems described in bug #58747 Network Appliance asked us to try a NFS-TCP mount instead of using the default NFS-UDP. 
Filesystem access performed so poorly we had to go back to UDP. Further testing and enet sniffing showed when mounted with TCP and doing a 
cat of a very large file to the screen the data flow would hang for seconds and flow to the screen would be very bursty. Sniffer showed transfer rate 
on the 100Meg network was 50-200 packets per second. However (in the sniffer file) we can't see why packet flow is so slow.

Remounting the filesystem with NFS TCP and doing the same test showed a much smoother flow and a packet rate of 1300-1450 packets per 
second. Both above tests were using an Intel 82557 enet card with the eepro100 driver.

We also have a 3-com 3c980 enet card installed as eth2 using the 3c59x driver. When enabling NFS TCP and doing this same test it performed 
just as the UDP test above with a very smooth data flow to the screen.

Sniffer file available on request.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Using the above ethernet card and driver, mount an NFS filesystem with TCP and 8k rsize/wsize.
2. Find a huge text file and cat it to the terminal.
3. Observe the results.
	

Actual Results:  Output to screen very bursty with 1-4 second pauses before output flow continues.

Expected Results:  Output should flow to screen continuously without interruption.


Additional info:

Test performed on an IBM Netfinity x330 Server Type 8654 Model 51Y. System has dual Pentium 3 processors.

Besides this test we tried running an actual application using the nfs-tcp mount. The application uses Apache and usually starts within 1 second, 
spawning about 6 processes. When using the tcp mount the application took about 90 seconds to start and was completely unusable. Just doing 
an ls of files on the file system with application running took 30-60 seconds.
Comment 1 Pete Zaitcev 2002-09-10 18:18:22 EDT
Folded back to 58747 as far as I can tell...

Note You need to log in before you can comment on or make changes to this bug.